local set = vim.opt

set.cole = 0
set.tabstop = 4
set.shiftwidth = 0
set.wrap = false
set.number = true
set.softtabstop = -1
set.smarttab = true
set.expandtab = false
set.ignorecase = true
set.smartcase = true
set.updatetime = 100
set.redrawtime = 10000
set.timeoutlen = 300
set.hlsearch = true
set.clipboard = 'unnamedplus'
set.signcolumn = 'yes:1'
set.foldcolumn = '0'
set.list = true
set.undofile = true
set.cmdheight = 1
set.fillchars = { eob = ' ', fold = ' ' }
set.listchars = { tab = '│ ', trail = '·', nbsp = '␣' }

vim.o.foldenable = true
vim.o.foldlevel = 99
vim.o.foldmethod = 'expr'
vim.o.foldexpr = 'v:lua.vim.treesitter.foldexpr()'
vim.o.foldtext = ''
